Bug 122726

Summary: [new port] sysutils/automounter
Product: Ports & Packages Reporter: kamikaze
Component: Individual Port(s)Assignee: Edwin Groothuis <edwin>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description kamikaze 2008-04-13 16:20:01 UTC
A new port with a script that dynamically configures amd.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-18 05:41:27 UTC
State Changed
From-To: open->feedback

Next time please submit as a shell-archive. 

The port doesn't create a proper PLIST, please use static PLIST_FILES. 


Comment 2 Edwin Groothuis freebsd_committer 2008-04-18 05:41:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ports-bugs

I'll track it.
Comment 3 Edwin Groothuis freebsd_committer 2008-04-18 06:21:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I'll track it.
Comment 4 kamikaze 2008-04-18 21:43:23 UTC
The same thing as a shar archive with a static plist.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ports/sysutils/automounter
#	ports/sysutils/automounter/Makefile
#	ports/sysutils/automounter/distinfo
#	ports/sysutils/automounter/pkg-descr
#	ports/sysutils/automounter/pkg-plist
#
echo c - ports/sysutils/automounter
mkdir -p ports/sysutils/automounter > /dev/null 2>&1
echo x - ports/sysutils/automounter/Makefile
sed 's/^X//' >ports/sysutils/automounter/Makefile << 
'END-of-ports/sysutils/automounter/Makefile'
X# New ports collection makefile for:	automounter
X# Date created:		26 March 2008
X# Whom:			Dominic Fandrey <kamikaze@bsdforen.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	automounter
XPORTVERSION=	1.3
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	bsdadminscripts
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	Provides scripts to dynamically configure amd
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
XNO_BUILD=	yes
XMANCOMPRESSED=	no
X
X.if defined(NOPORTDOCS)
XNOPORTDOCS=	-nodoc
X.else
XMAN5=		automounter.conf.5
XMAN8=		automounter.8
X.endif
X
Xplist: patch
X		@cd ${WRKSRC}; ./list.sh -nodoc > ${PLIST}
X
Xdo-install:
X		@cd ${WRKSRC}; ./install.sh -prefix=${PREFIX} ${NOPORTDOCS}
X
X.include <bsd.port.mk>
END-of-ports/sysutils/automounter/Makefile
echo x - ports/sysutils/automounter/distinfo
sed 's/^X//' >ports/sysutils/automounter/distinfo << 
'END-of-ports/sysutils/automounter/distinfo'
XMD5 (automounter-1.3.tar.gz) = 169619b12ba2de03f5da53c605336883
XSHA256 (automounter-1.3.tar.gz) = 
9dc094c65abef9bb25f52ec53332c8e6bd40dea1aa1b8fc64d1ed1b136406bdc
XSIZE (automounter-1.3.tar.gz) = 13405
END-of-ports/sysutils/automounter/distinfo
echo x - ports/sysutils/automounter/pkg-descr
sed 's/^X//' >ports/sysutils/automounter/pkg-descr << 
'END-of-ports/sysutils/automounter/pkg-descr'
XA script to dynamically configure amd and populate /media with appropriate
Xlinks, when USB mass storage devices appear. It relies on geom labels, hence
Xit only works for properly labeled devices.
X
XIt also allows to automatically attach geli encrypted devices and images with
Xkeys polled from file systems it makes mountable.
X
XWWW: http://sourceforge.net/projects/bsdadminscripts/
X
X- Kamikaze
Xkamikaze@bsdforen.de
END-of-ports/sysutils/automounter/pkg-descr
echo x - ports/sysutils/automounter/pkg-plist
sed 's/^X//' >ports/sysutils/automounter/pkg-plist << 
'END-of-ports/sysutils/automounter/pkg-plist'
Xsbin/automounter
Xetc/rc.d/automounter
Xetc/automounter.conf.sample
END-of-ports/sysutils/automounter/pkg-plist
exit
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2008-04-29 02:00:22 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 kamikaze 2008-05-08 16:42:42 UTC
It appears thunderbird has inserted some newlines (even though not
configured to). So here is the hopefully intact archive.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ports/sysutils/automounter
#	ports/sysutils/automounter/Makefile
#	ports/sysutils/automounter/distinfo
#	ports/sysutils/automounter/pkg-descr
#	ports/sysutils/automounter/pkg-plist
#
echo c - ports/sysutils/automounter
mkdir -p ports/sysutils/automounter > /dev/null 2>&1
echo x - ports/sysutils/automounter/Makefile
sed 's/^X//' >ports/sysutils/automounter/Makefile << 'END-of-ports/sysutils/automounter/Makefile'
X# New ports collection makefile for:	automounter
X# Date created:		26 March 2008
X# Whom:			Dominic Fandrey <kamikaze@bsdforen.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	automounter
XPORTVERSION=	1.3
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	bsdadminscripts
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	Provides scripts to dynamically configure amd
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
XNO_BUILD=	yes
XMANCOMPRESSED=	no
X
X.if defined(NOPORTDOCS)
XNOPORTDOCS=	-nodoc
X.else
XMAN5=		automounter.conf.5
XMAN8=		automounter.8
X.endif
X
Xplist: patch
X		@cd ${WRKSRC}; ./list.sh -nodoc > ${PLIST}
X
Xdo-install:
X		@cd ${WRKSRC}; ./install.sh -prefix=${PREFIX} ${NOPORTDOCS}
X
X.include <bsd.port.mk>
END-of-ports/sysutils/automounter/Makefile
echo x - ports/sysutils/automounter/distinfo
sed 's/^X//' >ports/sysutils/automounter/distinfo << 'END-of-ports/sysutils/automounter/distinfo'
XMD5 (automounter-1.3.tar.gz) = 169619b12ba2de03f5da53c605336883
XSHA256 (automounter-1.3.tar.gz) = 9dc094c65abef9bb25f52ec53332c8e6bd40dea1aa1b8fc64d1ed1b136406bdc
XSIZE (automounter-1.3.tar.gz) = 13405
END-of-ports/sysutils/automounter/distinfo
echo x - ports/sysutils/automounter/pkg-descr
sed 's/^X//' >ports/sysutils/automounter/pkg-descr << 'END-of-ports/sysutils/automounter/pkg-descr'
XA script to dynamically configure amd and populate /media with appropriate
Xlinks, when USB mass storage devices appear. It relies on geom labels, hence
Xit only works for properly labeled devices.
X
XIt also allows to automatically attach geli encrypted devices and images with
Xkeys polled from file systems it makes mountable.
X
XWWW: http://sourceforge.net/projects/bsdadminscripts/
X
X- Kamikaze
Xkamikaze@bsdforen.de
END-of-ports/sysutils/automounter/pkg-descr
echo x - ports/sysutils/automounter/pkg-plist
sed 's/^X//' >ports/sysutils/automounter/pkg-plist << 'END-of-ports/sysutils/automounter/pkg-plist'
Xsbin/automounter
Xetc/rc.d/automounter
Xetc/automounter.conf.sample
END-of-ports/sysutils/automounter/pkg-plist
exit
Comment 7 dfilter service freebsd_committer 2008-05-13 00:14:25 UTC
edwin       2008-05-12 23:14:21 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/automounter Makefile distinfo pkg-descr pkg-plist 
  Log:
  [new port] sysutils/automounter
  
          A script to dynamically configure amd and populate /media
          with appropriate links, when USB mass storage devices appear.
          It relies on geom labels, hence it only works for properly
          labeled devices.
  
          It also allows to automatically attach geli encrypted devices
          and images with keys polled from file systems it makes
          mountable.
  
          WWW: http://sourceforge.net/projects/bsdadminscripts/
  
          - Kamikaze
          kamikaze@bsdforen.de
  
  PR:             ports/122726
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de>
  
  Revision  Changes    Path
  1.1004    +1 -0      ports/sysutils/Makefile
  1.1       +34 -0     ports/sysutils/automounter/Makefile (new)
  1.1       +3 -0      ports/sysutils/automounter/distinfo (new)
  1.1       +11 -0     ports/sysutils/automounter/pkg-descr (new)
  1.1       +3 -0      ports/sysutils/automounter/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Edwin Groothuis freebsd_committer 2008-05-13 00:21:32 UTC
State Changed
From-To: open->closed

Committed, thanks!